package grmi

type ConditionItem struct {
	Field
	PredicateType func(Predicate) (string, error)
	OrderBy       bool
	valueParser   func(string) (interface{}, error)
}

func NewConditionItem(field Field, predicateType func(Predicate) (string, error), orderBy bool) ConditionItem {
	return ConditionItem{field, predicateType, orderBy, nil}
}
